- [HTTP request](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.phoneNumbers/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.phoneNumbers/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.phoneNumbers/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.phoneNumbers/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.phoneNumbers/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.phoneNumbers/delete#try-it)

Requests deletion of a `PhoneNumber`. The `PhoneNumber` is moved into the `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.phoneNumbers#PhoneNumber.LifecycleState.ENUM_VALUES.DELETE_REQUESTED` state immediately, and is deleted approximately 30 days later. This method may only be called on a `PhoneNumber` in the `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.phoneNumbers#PhoneNumber.LifecycleState.ENUM_VALUES.ACTIVE` state.

### HTTP request

Choose an endpoint:
global   
`DELETE https://dialogflow.googleapis.com/v2beta1/{name=projects/*/phoneNumbers/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`DELETE https://{endpoint}/v2beta1/{name=projects/*/phoneNumbers/*}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The unique identifier of the `PhoneNumber` to delete. Format: `projects/<Project ID>/phoneNumbers/<PhoneNumber ID>`. Format: `projects/<Project ID>/locations/<Location ID>/phoneNumbers/<PhoneNumber ID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `dialogflow.phoneNumbers.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.phoneNumbers#PhoneNumber`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).